Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I am using the precise beta and totally hate the new qt based ubuntu one control panel. I would like to switch back to the old, pretty, gtk based control panel, and expect that it would still work. However, I don't know how to install the old control panel from the oneiric repo without manually installing all dependencies from the ground up. How can I install it without dependency checks?

share|improve this question
    
There's no general way to do this so I'm editing this to be specific to your package –  Jorge Castro Mar 9 '12 at 19:44
add comment

1 Answer 1

up vote 1 down vote accepted

The old ubuntuone-control-panel-gtk code is no longer available in the trunk source tree, or in the Ubuntu archive. The package is now a transitional package, so that people upgrading from older versions of Ubuntu to 12.04 will automatically get the ubuntuone-control-panel-qt package installed (as it is not part of the default install, due to CD size limitations), rather than having the ubuntuone-installer pop up asking them to install Ubuntu One again.

If you really must have the older version, you can tell apt to install a specific version of a package like:

sudo apt-get install ubuntuone-control-panel-gtk=2.99.5-0ubuntu2

If it is still in the archive or your local apt packages cache (packages apt has downloaded before), it should install it. You can also download the older package from Launchpad and install it directly, with gdebi, dpkg, or similar. However, be aware that installing the older control panel will break system integration, and is totally unsupported. You get to keep both pieces if something breaks. :)

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.